Skip to main content
GET
/
instruments
/
{symbol}
/
status
Get instrument status
curl --request GET \
  --url https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status
import requests

url = "https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "tradeable": "PF_BTCUSD",
  "experiencingDislocation": true,
  "experiencingExtremeVolatility": true,
  "extremeVolatilityInitialMarginMultiplier": 123,
  "result": "success",
  "serverTime": "2020-08-27T17:03:33.196Z"
}

Path Parameters

symbol
string
required

Market symbol

Pattern: [A-Z0-9_.]+
Example:

"PF_BTCUSD"

Response

200 - application/json
tradeable
string
required

Market symbol

Pattern: [A-Z0-9_.]+
Example:

"PF_BTCUSD"

experiencingDislocation
boolean
required
priceDislocationDirection
enum<string> | null
required
Available options:
ABOVE_UPPER_BOUND,
BELOW_LOWER_BOUND
experiencingExtremeVolatility
boolean
required
extremeVolatilityInitialMarginMultiplier
integer
required
result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"